CP(1)

NAME
cp - copy

SYNOPSIS
cp [ -i ] [ -r ] file1 file2

cp [ -i ] [ -r ] file ... directory

DESCRIPTION
File1 is copied onto file2. The mode and owner of file2 are preserved if it already existed; the mode of the source file is used otherwise.

In the second form, one or more files are copied into the directory with their original file-names.

Cp refuses to copy a file onto itself.

If the -i option is specified, cp will prompt the user with the name of the file whenever the copy will cause an old file to be overwritten. An answer of 'y' will cause cp to continue. Any other answer will prevent it from overwriting the file.

If the -r option is specified and any of the source files are directories, cp copies each subtree rooted at that name; in this case the destination must be a directory.

SEE ALSO
cat(1), pr(1), mv(1)